## ponysay-3.0.3-5.src.tar.gz

=== extras/fortune-mod-mlp/Makefile ===
PKGNAME=fortune-mod-mlp
PREFIX=/usr
DATA=/share
DATADIR=$(PREFIX)$(DATA)
FORTUNEDIR=$(DATADIR)/fortune
LICENSEDIR=$(DATADIR)/licenses/$(PKGNAME)

SRC = ../../ponyquotes
PSRC = ../../ponies

PONIES = $(shell find "$(SRC)" | grep '$(SRC).*\..' | sed -e "s:^$(SRC)::" | sed -e "s:^/::g" | cut -d . -f 1 | sort | uniq)


# Tab symbol for use with `echo`. echo -e is not POSIX
empty = 
tab = $(empty)	$(empty)


.PHONY: all
all: pony pony.dat


pony.dat: pony
	strfile pony


pony: $(foreach P, $(PONIES), obj/$(P))
	cat $^ > $@


obj/%: $(SRC)/%.*
	@mkdir -p obj
	test -f $@ && rm $@ || true
	pony="$$(./name-pony.sh "$(PSRC)" $*)" && \
	for file in $^; do                        \
	    cat $$file >> $@ &&                   \
	    echo "$(tab)-- $$pony" >> $@ &&       \
	    echo % >> $@                          \
	    || exit 1;                            \
	done


.PHONY: install
install: pony pony.dat
	install -d -- "$(DESTDIR)$(FORTUNEDIR)"
	install -m644 pony pony.dat -- "$(DESTDIR)$(FORTUNEDIR)"


.PHONY: install-license
install-license:
	install -Dm644 -- COPYING "$(DESTDIR)$(LICENSEDIR)/COPYING"
	install -Dm644 -- "$(shell realpath LICENSE)" "$(DESTDIR)$(LICENSEDIR)/LICENSE"


.PHONY: uninstall
uninstall:
	-rm -- "$(DESTDIR)$(FORTUNEDIR)/pony"
	-rm -- "$(DESTDIR)$(FORTUNEDIR)/pony.dat"
	-rm -- "$(DESTDIR)$(LICENSEDIR)/COPYING"
	-rm -- "$(DESTDIR)$(LICENSEDIR)/LICENSE"
	-rmdir -- "$(DESTDIR)$(LICENSEDIR)"


.PHONY: list-ponies
list-ponies:
	@for p in $(PONIES); do echo "$$p"; done


.PHONY: clean
clean:
	-rm -r obj
	-rm pony pony.dat

=== PKGBUILD ===
# Maintainer: Sven-Hendrik Haase <sh@lutzhaase.com>
# Contributor: Erkin Batu Altunbaş <erkinbatu@gmail.com>

pkgname=ponysay
pkgver=3.0.3
pkgrel=5
pkgdesc="cowsay reimplemention for ponies"
url="https://github.com/erkin/ponysay"
arch=('any')
license=('GPL3')
depends=('python' 'bash')
makedepends=('git')
source=(https://github.com/erkin/${pkgname}/archive/${pkgver}/${pkgname}-${pkgver}.tar.gz
        fix-do-not-compare-literal.patch)
sha512sums=('d6ff905404192bdc207952a4a914458d7f25ddcfcea95763ae277a2a3bc7ab33e86a0a229c1b10ff7295b7a89d6e1b61406feefb6bdf9026f4076d0ed70dbe93'
            '372e26a1293d05a37821a5edcbfc2ebb41d751ba4226fa503c07e815c1bb32b6c000293c584babd96e48614bf3b9c4321deb8b28587a37a56783a434615ddeb5')

prepare() {
  cd "${pkgname}-${pkgver}"
  patch -Np1 -i ../fix-do-not-compare-literal.patch
}

build() {
  cd "${pkgname}-${pkgver}"
  python setup.py build --freedom=partial --everything
}

package() {
  cd "${pkgname}-${pkgver}"
  python setup.py --prefix=/usr --dest-dir="${pkgdir}" --freedom=partial --everything \
    --with-pdf=/usr/share/doc/ponysay --without-pdf-compression \
    --without-info-compression  \
    --without-man-compression \
    install
}

=== extras/lightweight-ponies/PKGBUILD ===
pkgname=lightweight-ponies
pkgver=2
pkgrel=1
pkgdesc="Featurefree lightweight ponysay script"
url="https://github.com/erkin/ponysay/extras/lightweight-ponies"
license=('custom:GNUAllPermissive')
arch=('any')
depends=('sh' 'grep' 'sed' 'findutils' 'coreutils' 'ponysay')
_commit=c4fc895c451838a78b93ede7f1ab1b63fdb5a4b9
source=("https://github.com/erkin/ponysay/archive/${_commit}.tar.gz")
sha256sums=('24ee8698f32d5b986efd36aab04f32420ffe57d501ec1594d992bc05555db546')

package() {
    cd "${srcdir}/ponysay-${_commit}/extras/lightweight-ponies"
    install -Dm755 -- lightweight-ponies "${pkgdir}/usr/bin/lightweight-ponies"
}
